<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [FileChooser](./puppeteer.filechooser.md) &gt; [(constructor)](./puppeteer.filechooser._constructor_.md)

## FileChooser.(constructor)

Constructs a new instance of the `FileChooser` class

<b>Signature:</b>

```typescript
constructor(element: ElementHandle, event: Protocol.Page.fileChooserOpenedPayload);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  element | [ElementHandle](./puppeteer.elementhandle.md) |  |
|  event | Protocol.Page.fileChooserOpenedPayload |  |

